postgresql-9.2 (9.2.24-13.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * Changes applied by generate-pgdg-source:
    + Moving lib packages to component 9.2.
    + Enabling cassert.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Sun, 28 Jul 2024 17:20:56 +0000

postgresql-9.2 (9.2.24-13) unstable; urgency=medium

  * B-D on python3-setuptools, we need distutils.
  * Cherry-pick 400928b83 from master to fix xml build.
  * Cherry-pick b1980f6d0 from 9.3 to fix tcl build.

 -- Christoph Berg <myon@debian.org>  Sun, 28 Jul 2024 17:20:56 +0000

postgresql-9.2 (9.2.24-12) unstable; urgency=medium

  * Fix doc install when postgresql-client-common is not present.
  * Fix config/c-compiler.m4 for new compiler warnings.

 -- Christoph Berg <myon@debian.org>  Fri, 24 May 2024 21:43:54 +0200

postgresql-9.2 (9.2.24-11) unstable; urgency=medium

  * Add Build-Profile nopython.
  * B-D on dh-exec.
  * DH 13; drop autotools-dev.

 -- Christoph Berg <myon@debian.org>  Fri, 26 Apr 2024 15:28:43 +0000

postgresql-9.2 (9.2.24-10) unstable; urgency=medium

  * Test-Depend on tzdata-legacy | tzdata (<< 2023c-8).

 -- Christoph Berg <myon@debian.org>  Thu, 10 Aug 2023 22:25:38 +0200

postgresql-9.2 (9.2.24-9) unstable; urgency=medium

  * Fix update-alternatives when doc package is installed stand-alone.

 -- Christoph Berg <myon@debian.org>  Mon, 27 Feb 2023 10:52:45 +0100

postgresql-9.2 (9.2.24-8) unstable; urgency=medium

  * Fix plpython3 for Python 3.11 (upstream 4339e10f).

 -- Christoph Berg <myon@debian.org>  Mon, 20 Feb 2023 17:51:14 +0100

postgresql-9.2 (9.2.24-7) unstable; urgency=medium

  * Fix pl/perl test case so it will still work under Perl 5.36.

 -- Christoph Berg <myon@debian.org>  Tue, 01 Nov 2022 15:51:39 +0100

postgresql-9.2 (9.2.24-6) unstable; urgency=medium

  * Support Python 3.10 in plpython tests.

 -- Christoph Berg <myon@debian.org>  Sun, 15 May 2022 20:59:57 +0200

postgresql-9.2 (9.2.24-5) unstable; urgency=medium

  * R³: no.
  * run-testsuite: Test only this version.

 -- Christoph Berg <myon@debian.org>  Fri, 05 Feb 2021 13:21:20 +0100

postgresql-9.2 (9.2.24-4) unstable; urgency=medium

  * plpython3: Allow both old and new version in subtransaction test.

 -- Christoph Berg <myon@debian.org>  Wed, 22 Apr 2020 22:48:21 +0200

postgresql-9.2 (9.2.24-3) unstable; urgency=medium

  * Disable building plpython2 by default. (Closes: #937310)
  * Catch python3 output variation in
    src/pl/plpython/expected/plpython_subtransaction.out.
  * debian/tests: Also run regression tests.
  * Remove obsolete Breaks/Replaces.
  * Add debian/gitlab-ci.yml.

 -- Christoph Berg <myon@debian.org>  Wed, 09 Oct 2019 15:28:49 +0200

postgresql-9.2 (9.2.24-2) unstable; urgency=medium

  * debian/rules: Set DEB_HOST_* via /usr/share/dpkg/architecture.mk.
  * Drop support for tcl8.5.
  * Refactor testsuite failure handling.
  * Use dh_auto_configure to correctly seed the build architecture.
  * Enable dtrace support.
  * psql uses sensible-editor, depend on sensible-utils.
  * Add lintian overrides for plugins that link no external libraries.
  * configure: Hard-code paths to /bin/mkdir -p and /bin/tar.
  * Drop explicit xz compression for .debs.
  * Depend on locales | locales-all. Suggested by Elrond, thanks!
    (Closes: #916655)
  * Build-Depend on tcl-dev instead of on a specific version.
  * initdb doesn't like LANG and LC_ALL to contradict, unset LANG and
    LC_CTYPE at test time. (Closes: #917764)

 -- Christoph Berg <myon@debian.org>  Sat, 02 Feb 2019 15:22:03 +0100

postgresql-9.2 (9.2.24-1) unstable; urgency=medium

  * New upstream version.
  * Remove empty conf.d directory on purge, even when postgresql-common
    was already removed. (Closes: #877264)

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 08 Nov 2017 13:23:50 +0100

postgresql-9.2 (9.2.23-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 29 Aug 2017 15:51:41 +0200

postgresql-9.2 (9.2.22-1) unstable; urgency=medium

  * New upstream version.

    + Further restrict visibility of pg_user_mappings.umoptions, to protect
      passwords stored as user mapping options. See the release notes for
      instructions for applying the fix to existing database clusters.
      (CVE-2017-7547; extends fix for CVE-2017-7484)
    + Disallow empty passwords in all password-based authentication methods.
      (CVE-2017-7546)

  * On regression test failure, show newest three log files instead of relying
    on file age = 0 min.
  * debian/rules: Unconditionally use DEB_BUILD_MAINT_OPTIONS=hardening=+all.
    The old logic is kept around for compiling on older distributions.
  * Remove long obsolete --with-krb5 and move c/ldflags to configure switches.

 -- Christoph Berg <myon@debian.org>  Wed, 09 Aug 2017 20:58:04 +0200

postgresql-9.2 (9.2.21-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.

    + Restrict visibility of pg_user_mappings.umoptions, to protect passwords
      stored as user mapping options (CVE-2017-7486)
    + Prevent exposure of statistical information via leaky operators
      (CVE-2017-7484)
    + Restore libpq's recognition of the PGREQUIRESSL environment variable
      (CVE-2017-7485)

  * debian/rules: Add stub to enable cassert builds (disabled by default).
  * Use OpenSSL 1.1 for building on stretch/sid.

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 09 May 2017 15:32:49 +0200

postgresql-9.2 (9.2.20-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.

    + Fix a race condition that could cause indexes built with CREATE INDEX
      CONCURRENTLY to be corrupt (Pavan Deolasee, Tom Lane)

      If CREATE INDEX CONCURRENTLY was used to build an index that depends on
      a column not previously indexed, then rows inserted or updated by
      transactions that ran concurrently with the CREATE INDEX command could
      have received incorrect index entries.  If you suspect this may have
      happened, the most reliable solution is to rebuild affected indexes
      after installing this update.

  * Use OpenSSL 1.0 for building on stretch/sid.
  * Add missing perl test dependency (for Test::More).
  * Update watch file to use https.
  * Drop hardening-wrapper.
  * Explicitly disable PIE on 32 architectures. Previously we were just not
    enabling it, but it's on by default now in unstable. Closes: #842752.
  * libpq-dev: Remove dependency on libssl-dev (and comerr-dev and
    krb5-multidev) to unbreak co-installation with libssl1.0-dev.

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 07 Feb 2017 12:22:08 +0100

postgresql-9.2 (9.2.19-1) unstable; urgency=medium

  * New upstream version.
  * Use autotools-dev to update config.guess/sub; needed on ppc64el.

 -- Christoph Berg <myon@debian.org>  Tue, 25 Oct 2016 16:11:53 +0200

postgresql-9.2 (9.2.18-1) unstable; urgency=medium

  * New upstream version.

    + Fix possible mis-evaluation of nested CASE-WHEN expressions
      (Heikki Linnakangas, Michael Paquier, Tom Lane)

      A CASE expression appearing within the test value subexpression of
      another CASE could become confused about whether its own test value was
      null or not.  Also, inlining of a SQL function implementing the equality
      operator used by a CASE expression could result in passing the wrong
      test value to functions called within a CASE expression in the SQL
      function's body.  If the test values were of different data types, a
      crash might result; moreover such situations could be abused to allow
      disclosure of portions of server memory.  (CVE-2016-5423)

    + Fix client programs' handling of special characters in database and role
      names (Noah Misch, Nathan Bossart, Michael Paquier)

      Numerous places in vacuumdb and other client programs could become
      confused by database and role names containing double quotes or
      backslashes.  Tighten up quoting rules to make that safe. Also, ensure
      that when a conninfo string is used as a database name parameter to
      these programs, it is correctly treated as such throughout.

      Fix handling of paired double quotes in psql's \connect and \password
      commands to match the documentation.

      Introduce a new -reuse-previous option in psql's \connect command to
      allow explicit control of whether to re-use connection parameters from a
      previous connection.  (Without this, the choice is based on whether the
      database name looks like a conninfo string, as before.)  This allows
      secure handling of database names containing special characters in
      pg_dumpall scripts.

      pg_dumpall now refuses to deal with database and role names containing
      carriage returns or newlines, as it seems impractical to quote those
      characters safely on Windows.  In future we may reject such names on the
      server side, but that step has not been taken yet.

      These are considered security fixes because crafted object names
      containing special characters could have been used to execute commands
      with superuser privileges the next time a superuser executes pg_dumpall
      or other routine maintenance operations.  (CVE-2016-5424)

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 09 Aug 2016 17:42:56 +0200

postgresql-9.2 (9.2.17-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 10 May 2016 10:17:28 +0200

postgresql-9.2 (9.2.16-1) unstable; urgency=medium

  * New upstream version.
  * 02-relax-sslkey-permscheck.patch: Replace with what went upstream in 9.6.
  * Stop suggesting the use of identd.
  * Modernize server package description.
  * Recommend postgresql-contrib and sysstat.

 -- Christoph Berg <myon@debian.org>  Tue, 29 Mar 2016 12:35:48 +0200

postgresql-9.2 (9.2.15-1) unstable; urgency=medium

  * New upstream version.
    + Fix infinite loops and buffer-overrun problems in regular expressions.
      Very large character ranges in bracket expressions could cause infinite
      loops in some cases, and memory overwrites in other cases.
      (CVE-2016-0773)

  * 64-pg_upgrade-sockdir: Fix off-by-one error in max path length.
  * Add logrotate to test dependencies.

 -- Christoph Berg <myon@debian.org>  Wed, 10 Feb 2016 18:33:40 +0100

postgresql-9.2 (9.2.14-1) unstable; urgency=medium

  * New upstream version.

    + Fix contrib/pgcrypto to detect and report too-short crypt() salts
      (Josh Kupershmidt)

      Certain invalid salt arguments crashed the server or disclosed a few
      bytes of server memory.  We have not ruled out the viability of attacks
      that arrange for presence of confidential information in the disclosed
      bytes, but they seem unlikely.  (CVE-2015-5288)

  * Add docbook-xml to build-depends.
  * debian/rules: Remove broken "generate POT files for translators" code.
  * debian/rules: Call dh without --parallel, it's not supported upstream.
  * postgresql postrm: Don't clean {/etc,/var/lib,/var/log}/postgresql on
    purge.  (Closes: #793861)

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 06 Oct 2015 11:09:37 +0200

postgresql-9.2 (9.2.13-1.pgdg+1) unstable; urgency=medium

  * New upstream version.
    + Fix rare failure to invalidate relation cache init file

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 10 Jun 2015 13:54:02 +0200

postgresql-9.2 (9.2.12-1.pgdg+1) unstable; urgency=medium

  * New upstream version:
    Avoid failures while fsync'ing data directory during crash restart
    (Abhijit Menon-Sen, Tom Lane; Closes: #786874)

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 03 Jun 2015 12:18:44 +0200

postgresql-9.2 (9.2.11-1.pgdg+1) unstable; urgency=medium

  * New upstream version.

    + Avoid possible crash when client disconnects just before the
      authentication timeout expires (Benkocs Norbert Attila)

      If the timeout interrupt fired partway through the session shutdown
      sequence, SSL-related state would be freed twice, typically causing a
      crash and hence denial of service to other sessions.  Experimentation
      shows that an unauthenticated remote attacker could trigger the bug
      somewhat consistently, hence treat as security issue. (CVE-2015-3165)

    + Improve detection of system-call failures (Noah Misch)

      Our replacement implementation of snprintf() failed to check for errors
      reported by the underlying system library calls; the main case that
      might be missed is out-of-memory situations. In the worst case this
      might lead to information exposure, due to our code assuming that a
      buffer had been overwritten when it hadn't been. Also, there were a few
      places in which security-relevant calls of other system library
      functions did not check for failure.

      It remains possible that some calls of the *printf() family of functions
      are vulnerable to information disclosure if an out-of-memory error
      occurs at just the wrong time.  We judge the risk to not be large, but
      will continue analysis in this area. (CVE-2015-3166)

    + In contrib/pgcrypto, uniformly report decryption failures as Wrong key
      or corrupt data (Noah Misch)

      Previously, some cases of decryption with an incorrect key could report
      other error message texts.  It has been shown that such variance in
      error reports can aid attackers in recovering keys from other systems.
      While it's unknown whether pgcrypto's specific behaviors are likewise
      exploitable, it seems better to avoid the risk by using a
      one-size-fits-all message. (CVE-2015-3167)

  * Repository moved to git, update Vcs headers.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 20 May 2015 13:32:46 +0200

postgresql-9.2 (9.2.10-1.pgdg+1) sid-pgdg; urgency=medium

  * New upstream release.
    + Fix buffer overruns in to_char() (CVE-2015-0241)
    + Fix buffer overruns in contrib/pgcrypto (CVE-2015-0243)
    + Fix possible loss of frontend/backend protocol synchronization after an
      error (CVE-2015-0244)
    + Fix information leak via constraint-violation error messages
      (CVE-2014-8161)
  * debian/patches/63-pg_upgrade-test-bindir: Unfuzz.

 -- Christoph Berg <myon@debian.org>  Wed, 04 Feb 2015 23:12:47 +0100

postgresql-9.2 (9.2.9-1.pgdg+1) sid-pgdg; urgency=medium

  * New upstream release.
    + Secure Unix-domain sockets of temporary postmasters started during make
      check (Noah Misch)

      Any local user able to access the socket file could connect as the
      server's bootstrap superuser, then proceed to execute arbitrary code as
      the operating-system user running the test, as we previously noted in
      CVE-2014-0067. This change defends against that risk by placing the
      server's socket in a temporary, mode 0700 subdirectory of /tmp.

  * Remove our pg_regress patches to support --host=/path.
  * Add 63-pg_upgrade-test-bindir (which we just removed from 9.3 and 9.4).
  * Remove the tcl8.6 patch, went upstream.
  * Skip -pie on 32bit archs for performance and stability reasons.
    Closes: #749686; details at
    http://www.postgresql.org/message-id/20140519115318.GB7296@msgid.df7cb.de

 -- Christoph Berg <myon@debian.org>  Tue, 22 Jul 2014 00:22:34 +0200

postgresql-9.2 (9.2.8-1.pgdg+1) sid-pgdg; urgency=medium

  * New upstream bugfix release.
  * Build with tcl8.6 where available (>= Jessie, >= trusty).
  * Compile with -fno-omit-frame-pointer on amd64 to facilitate hierarchical
    profile generation. (Closes: #730134)
  * Remove obsolete configure option --with-tkconfig.

 -- Christoph Berg <myon@debian.org>  Tue, 18 Mar 2014 07:33:00 +0100

postgresql-9.2 (9.2.7-1.pgdg+1) sid-pgdg; urgency=medium

  * New upstream security/bugfix release.

    + Shore up GRANT ... WITH ADMIN OPTION restrictions (Noah Misch)

      Granting a role without ADMIN OPTION is supposed to prevent the grantee
      from adding or removing members from the granted role, but this
      restriction was easily bypassed by doing SET ROLE first. The security
      impact is mostly that a role member can revoke the access of others,
      contrary to the wishes of his grantor. Unapproved role member additions
      are a lesser concern, since an uncooperative role member could provide
      most of his rights to others anyway by creating views or SECURITY
      DEFINER functions. (CVE-2014-0060)

    + Prevent privilege escalation via manual calls to PL validator functions
      (Andres Freund)

      The primary role of PL validator functions is to be called implicitly
      during CREATE FUNCTION, but they are also normal SQL functions that a
      user can call explicitly. Calling a validator on a function actually
      written in some other language was not checked for and could be
      exploited for privilege-escalation purposes. The fix involves adding a
      call to a privilege-checking function in each validator function.
      Non-core procedural languages will also need to make this change to
      their own validator functions, if any. (CVE-2014-0061)

    + Avoid multiple name lookups during table and index DDL (Robert Haas,
      Andres Freund)

      If the name lookups come to different conclusions due to concurrent
      activity, we might perform some parts of the DDL on a different table
      than other parts. At least in the case of CREATE INDEX, this can be used
      to cause the permissions checks to be performed against a different
      table than the index creation, allowing for a privilege escalation
      attack. (CVE-2014-0062)

    + Prevent buffer overrun with long datetime strings (Noah Misch)

      The MAXDATELEN constant was too small for the longest possible value of
      type interval, allowing a buffer overrun in interval_out(). Although the
      datetime input functions were more careful about avoiding buffer
      overrun, the limit was short enough to cause them to reject some valid
      inputs, such as input containing a very long timezone name. The ecpg
      library contained these vulnerabilities along with some of its own.
      (CVE-2014-0063)

    + Prevent buffer overrun due to integer overflow in size calculations
      (Noah Misch, Heikki Linnakangas)

      Several functions, mostly type input functions, calculated an allocation
      size without checking for overflow. If overflow did occur, a too-small
      buffer would be allocated and then written past. (CVE-2014-0064)

    + Prevent overruns of fixed-size buffers (Peter Eisentraut, Jozef Mlich)

      Use strlcpy() and related functions to provide a clear guarantee that
      fixed-size buffers are not overrun. Unlike the preceding items, it is
      unclear whether these cases really represent live issues, since in most
      cases there appear to be previous constraints on the size of the input
      string. Nonetheless it seems prudent to silence all Coverity warnings of
      this type. (CVE-2014-0065)

    + Avoid crashing if crypt() returns NULL (Honza Horak, Bruce Momjian)

      There are relatively few scenarios in which crypt() could return NULL,
      but contrib/chkpass would crash if it did. One practical case in which
      this could be an issue is if libc is configured to refuse to execute
      unapproved hashing algorithms (e.g., "FIPS mode"). (CVE-2014-0066)

    + Document risks of make check in the regression testing instructions
      (Noah Misch, Tom Lane)

      Since the temporary server started by make check uses "trust"
      authentication, another user on the same machine could connect to it as
      database superuser, and then potentially exploit the privileges of the
      operating-system user who started the tests. A future release will
      probably incorporate changes in the testing procedure to prevent this
      risk, but some public discussion is needed first. So for the moment,
      just warn people against using make check when there are untrusted users
      on the same machine. (CVE-2014-0067)

  * The upstream tarballs no longer contain a plain HISTORY file, but point to
    the html documentation. Note the location of these files in our
    changelog.gz file.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 19 Feb 2014 11:42:55 +0100

postgresql-9.2 (9.2.6-1.pgdg+1) sid-pgdg; urgency=low

  * New upstream version.

    + Fix "VACUUM"'s tests to see whether it can update relfrozenxid
      (Andres Freund)

      In some cases "VACUUM" (either manual or autovacuum) could
      incorrectly advance a table's relfrozenxid value, allowing tuples
      to escape freezing, causing those rows to become invisible once
      2^31 transactions have elapsed. The probability of data loss is
      fairly low since multiple incorrect advancements would need to
      happen before actual loss occurs, but it's not zero. In 9.2.0 and
      later, the probability of loss is higher, and it's also possible to
      get "could not access status of transaction" errors as a
      consequence of this bug. Users upgrading from releases 9.0.4 or
      8.4.8 or earlier are not affected, but all later versions contain
      the bug.
      The issue can be ameliorated by, after upgrading, vacuuming all
      tables in all databases while having vacuum_freeze_table_age set to
      zero. This will fix any latent corruption but will not be able to
      fix all pre-existing data errors. However, an installation can be
      presumed safe after performing this vacuuming if it has executed
      fewer than 2^31 update transactions in its lifetime (check this
      with SELECT txid_current() < 2^31).

    + Fix initialization of "pg_clog" and "pg_subtrans" during hot
      standby startup (Andres Freund, Heikki Linnakangas)

      This bug can cause data loss on standby servers at the moment they
      start to accept hot-standby queries, by marking committed
      transactions as uncommitted. The likelihood of such corruption is
      small unless, at the time of standby startup, the primary server
      has executed many updating transactions since its last checkpoint.
      Symptoms include missing rows, rows that should have been deleted
      being still visible, and obsolete versions of updated rows being
      still visible alongside their newer versions.
      This bug was introduced in versions 9.3.0, 9.2.5, 9.1.10, and
      9.0.14. Standby servers that have only been running earlier
      releases are not at risk. It's recommended that standby servers
      that have ever run any of the buggy releases be re-cloned from the
      primary (e.g., with a new base backup) after upgrading.

  * Refresh debian/patches/62-pg_upgrade-test-in-tmp.

 -- Christoph Berg <myon@debian.org>  Tue, 03 Dec 2013 09:10:47 +0100

postgresql-9.2 (9.2.5-1) sid-pgdg; urgency=low

  * New upstream version.
  * Remove 00git-perl5.18.patch.

 -- Christoph Berg <myon@debian.org>  Tue, 08 Oct 2013 23:13:26 +0200

postgresql-9.2 (9.2.4-2) sid-pgdg; urgency=low

  [ Martin Pitt ]
  * debian/tests/control: Add missing net-tools test dependency.
  * debian/rules: Support multi-arch locations of {tcl,tk}-config.
  * debian/rules: Call dh with --parallel.

  [ Christoph Berg ]
  * debian/rules: Use "make check-world" to run the regression tests. Thanks
    to Peter Eisentraut for the suggestion. Also, use a random port number.
  * 61-extra_regress_opts: Add EXTRA_REGRESS_OPTS in Makefile.global(.in).
  * 62-pg_upgrade-test-in-tmp: Hardcode /tmp in pg_upgrade's test.sh.
  * 64-pg_upgrade-sockdir: If cwd is too long to use as socketdir in
    pg_upgrade, fall back to /tmp. (A Unix socket path must not be longer than
    107 chars.)
  * Pull 6697aa2bc25c83b88d6165340348a31328c35de6 and
    82b0102650cf85268145a46f0ab488bacf6599a1 from upstream head to better
    support VPATH builds of PGXS modules, and make the install targets depend
    on installdirs.
  * Add 00git-perl5.18.patch: Adjust PL/Perl test cases to also work for Perl
    5.18.

 -- Christoph Berg <myon@debian.org>  Thu, 05 Sep 2013 22:03:53 +0200

postgresql-9.2 (9.2.4-1) experimental; urgency=low

  * New upstream security/bug fix release:
    - Fix insecure parsing of server command-line switches.
      A connection request containing a database name that begins with
      "-" could be crafted to damage or destroy files within the server's
      data directory, even if the request is eventually rejected.
      [CVE-2013-1899]
    - Reset OpenSSL randomness state in each postmaster child process.
      This avoids a scenario wherein random numbers generated by
      "contrib/pgcrypto" functions might be relatively easy for another
      database user to guess. The risk is only significant when the
      postmaster is configured with ssl = on but most connections don't
      use SSL encryption. [CVE-2013-1900]
    - Make REPLICATION privilege checks test current user not
      authenticated user.
      An unprivileged database user could exploit this mistake to call
      pg_start_backup() or pg_stop_backup(), thus possibly interfering
      with creation of routine backups. [CVE-2013-1901]
    - Fix GiST indexes to not use "fuzzy" geometric comparisons when it's
      not appropriate to do so.
      The core geometric types perform comparisons using "fuzzy"
      equality, but gist_box_same must do exact comparisons, else GiST
      indexes using it might become inconsistent. After installing this
      update, users should "REINDEX" any GiST indexes on box, polygon,
      circle, or point columns, since all of these use gist_box_same.
    - Fix erroneous range-union and penalty logic in GiST indexes that
      use "contrib/btree_gist" for variable-width data types, that is
      text, bytea, bit, and numeric columns.
      These errors could result in inconsistent indexes in which some
      keys that are present would not be found by searches, and also in
      useless index bloat. Users are advised to "REINDEX" such indexes
      after installing this update.
    - Fix bugs in GiST page splitting code for multi-column indexes.
      These errors could result in inconsistent indexes in which some
      keys that are present would not be found by searches, and also in
      indexes that are unnecessarily inefficient to search. Users are
      advised to "REINDEX" multi-column GiST indexes after installing
      this update.
    - See HISTORY/changelog.gz for details about other bug fixes.
  * Bump Standards-Version to 3.9.4 (no changes necessary).

 -- Martin Pitt <mpitt@debian.org>  Tue, 02 Apr 2013 10:13:55 +0200

postgresql-9.2 (9.2.3-1) experimental; urgency=medium

  [ Martin Pitt ]
  * Add missing docbook build dependency. (Closes: #697618)

  [ Christoph Berg ]
  * New upstream version.
    + Prevent execution of enum_recv from SQL
      The function was misdeclared, allowing a simple SQL command to crash the
      server.  In principle an attacker might be able to use it to examine the
      contents of server memory.  Our thanks to Sumit Soni (via Secunia SVCRP)
      for reporting this issue. (CVE-2013-0255)
  * debian/rules: Remove the temporary patches from pg_regress, and teach
    pg_regress to support unix socket dirs in --host.

 -- Christoph Berg <myon@debian.org>  Tue, 05 Feb 2013 10:01:28 +0100

postgresql-9.2 (9.2.2-2) experimental; urgency=low

  [ Martin Pitt ]
  * Add 03-python-includedirs.patch: Detect both python3.3 include locations.
    Thanks Dmitrijs Ledkovs!
  * debian/rules: Only build the error codes and the plpython subtree for the
    "python3" flavor, to cut down build time.

  [ Christoph Berg ]
  * debian/tests: Moved autopkgtest integration here from postgresql-common.

 -- Martin Pitt <mpitt@debian.org>  Sun, 06 Jan 2013 18:16:52 +0100

postgresql-9.2 (9.2.2-1) experimental; urgency=low

  * New upstream bug fix release. See HISTORY/changelog.gz details.
  * debian/control, debian/rules: Build against krb5-multidev, to allow use
    while heimdal-dev is installed. Thanks Jelmer Vernooij! (Closes: #664881)
  * debian/control: Force p-client to use libpq5 from at least our upstream
    version, as -client tends to use private ABI and behaviour that is not
    covered by symbols files.

 -- Martin Pitt <mpitt@debian.org>  Mon, 03 Dec 2012 22:38:48 +0000

postgresql-9.2 (9.2.1-1) experimental; urgency=low

  [ Martin Pitt ]
  * New upstream bug fix release:
    - Fix persistence marking of shared buffers during WAL replay.
      This mistake can result in buffers not being written out during
      checkpoints, resulting in data corruption if the server later
      crashes without ever having written those buffers. Corruption can
      occur on any server following crash recovery, but it is
      significantly more likely to occur on standby slave servers since
      those perform much more WAL replay. There is a low probability of
      corruption of btree and GIN indexes. There is a much higher
      probability of corruption of table "visibility maps", which might
      lead to wrong answers from index-only scans. Table data proper
      cannot be corrupted by this bug.
      While no index corruption due to this bug is known to have occurred
      in the field, as a precautionary measure it is recommended that
      production installations "REINDEX" all btree and GIN indexes at a
      convenient time after upgrading to 9.2.1.
      Also, it is recommended to perform a "VACUUM" of all tables while
      having vacuum_freeze_table_age set to zero. This will fix any
      incorrect visibility map data. vacuum_cost_delay can be adjusted to
      reduce the performance impact of vacuuming, while causing it to
      take longer to finish.
    - See HISTORY/changelog.gz for other bug fixes.
  * debian/rules: Compress all binaries with xz. Thanks Cyril Brulebois!
    (Closes: #688721)

  [ Christoph Berg ]
  * Bump postgresql-common dependency to >= 135~, we need the fixed manpages
    alternatives handling. Remove the redundant dependency of the -contrib
    package on postgresql-common.

 -- Martin Pitt <mpitt@debian.org>  Tue, 25 Sep 2012 05:45:33 +0200

postgresql-9.2 (9.2.0-1) experimental; urgency=low

  * New upstream version: Official 9.2 release.
  * debian/rules: Re-enable hardening functions when hardening-wrapper is not
    installed. Use "hardening=all", but disable "pie" (as that's not
    compatible with -fPIC) and add -pie to CFLAGS explicitly. Also drop the
    explicit "-Wl,-z,now" linker option, as this is now implied with "all".
    (see LP #1039618)

 -- Martin Pitt <mpitt@debian.org>  Fri, 07 Sep 2012 07:07:07 +0200

postgresql-9.2 (9.2~rc1-1) experimental; urgency=low

  [ Christoph Berg ]
  * Update watch file to actually look for 9.2.

  [ Martin Pitt ]
  * First 9.2 release candidate.

 -- Martin Pitt <mpitt@debian.org>  Mon, 27 Aug 2012 14:26:49 +0200

postgresql-9.2 (9.2~beta4-1) experimental; urgency=low

  * Fourth 9.2 beta release.

 -- Martin Pitt <mpitt@debian.org>  Fri, 17 Aug 2012 14:46:06 +0200

postgresql-9.2 (9.2~beta3-1) experimental; urgency=low

  [ Christoph Berg ]
  * Third 9.2 beta release.
  * Some cosmetic changes to control and rules file.
  * Remove the beta1 suffix from 9.2~beta1 in symbols files as this was the
    first version.
  * Remove beta2 symbols from libpq5: PQgetRowProcessor@Base,
    PQsetRowProcessor@Base, PQskipResult@Base.
  * Add myself to Uploaders.
  * debian/source/options: Ignore .bzr-builddeb/default.conf so bzr checkouts
    can be built using dpkg-buildpackage.
  * postgresql-9.2.preinst: Remove obsolete code for transition from
    per-version init script which was never shipped in postgresql-9.2. Also,
    remove duplicate #DEBHELPER# token.

  [ Peter Eisentraut ]
  * Move pg_basebackup man page to -client-9.2, where the program is.

 -- Christoph Berg <myon@debian.org>  Tue, 07 Aug 2012 14:25:41 +0200

postgresql-9.2 (9.2~beta2-1) experimental; urgency=low

  [ Peter Eisentraut ]
  * debian/copyright: Update, fix, and simplify.
  * Add debian/source/options: Ignore test suite .sql files, to fix building
    twice in a row.

  [ Martin Pitt ]
  * Second 9.2 beta release.
  * Move pg_basebackup *.mo files to -client-9.2. Thanks to Peter Eisentraut
    for spotting this.
  * Move pg_receivexlog into -client-9.2. It can be used without the server
    being installed.
  * debian/control: Move bzr branches to alioth, so that other members of
    pkg-postgresql can commit. Update Vcs-* tags.
  * debian/control: Set Maintainer: to pkg-postgresql group, and move myself
    to Uploaders:.

 -- Martin Pitt <mpitt@debian.org>  Mon, 04 Jun 2012 06:56:59 +0200

postgresql-9.2 (9.2~beta1-1) experimental; urgency=low

  * First 9.2 beta release. Packaging based on 9.1 branch.

 -- Martin Pitt <mpitt@debian.org>  Tue, 15 May 2012 12:58:24 +0200
